
GammaLib - Action #779

Feature # 692 (Closed): Perform an extensive interface review of all classes

Review support module classes

02/20/2013 03:23 AM - Knödlseder Jürgen

Status: Closed Start date: 02/20/2013

Priority: Normal Due date:  

Assigned To: Knödlseder Jürgen % Done: 100%

Category:  Estimated time: 5.00 hours

Target version: 00-08-00   

Description

History

#1 - 02/20/2013 03:23 AM - Knödlseder Jürgen

The following classes have been reviewed:

Class Comment

GNodeArray Derive from GContainer and add standard container methods

GTools Declare a few arguments as const by reference

GException No change (needs major revision anyways, see #35)

GCsv Declare a few arguments as const by reference

GRan Declare method inline

#2 - 12/03/2013 09:39 PM - Knödlseder Jürgen

- Status changed from New to In Progress

- Assigned To set to Knödlseder Jürgen

- % Done changed from 0 to 30

- Remaining (hours) changed from 5.0 to 2.0

Code revision started.

#3 - 12/03/2013 10:23 PM - Knödlseder Jürgen

- Status changed from In Progress to Closed

- % Done changed from 30 to 100

- Remaining (hours) changed from 2.0 to 0.0

Finished review.
